VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::Package Interface Reference

The `Package` interface provides methods to retrieve privilege information of a package element. More...

Inherited by vmware::vapi::metadata::privilege::PackageStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the package elements that have privilege information.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the package elements that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the package elements that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the package elements that have privilege information.
vmware.vapi.metadata.privilege.PackageInfo | Get (string packageId)
| Retrieves privilege information about the package element corresponding to packageId .
vmware.vapi.metadata.privilege.PackageInfo | Get (string packageId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves privilege information about the package element corresponding to packageId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.PackageInfo > | GetAsync (string packageId)
| Retrieves privilege information about the package element corresponding to packageId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.PackageInfo > | GetAsync (string packageId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves privilege information about the package element corresponding to packageId .

## Detailed Description

The `Package` interface provides methods to retrieve privilege information of a package element.

A package element is said to contain privilege information if there is a default privilege assigned to all service elements contained in the package element or if one of the operation elements contained in one of the service elements in this package element has privilege information.

## Member Function Documentation

vmware.vapi.metadata.privilege.PackageInfo vmware::vapi::metadata::privilege::Package::Get | ( | string | packageId | ) |

Retrieves privilege information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not have any privilege information.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .

Returns:
  The PackageInfo instance that corresponds to packageId

Implemented in vmware::vapi::metadata::privilege::PackageStub.

vmware.vapi.metadata.privilege.PackageInfo vmware::vapi::metadata::privilege::Package::Get | ( | string | packageId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves privilege information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not have any privilege information.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The PackageInfo instance that corresponds to packageId

Implemented in vmware::vapi::metadata::privilege::PackageStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.PackageInfo> vmware::vapi::metadata::privilege::Package::GetAsync | ( | string | packageId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves privilege information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not have any privilege information.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The PackageInfo instance that corresponds to packageId

Implemented in vmware::vapi::metadata::privilege::PackageStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.PackageInfo> vmware::vapi::metadata::privilege::Package::GetAsync | ( | string | packageId | ) |

Retrieves privilege information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not have any privilege information.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .

Returns:
  The PackageInfo instance that corresponds to packageId

Implemented in vmware::vapi::metadata::privilege::PackageStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::Package::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the package elements that have privilege information.

Returns:
  The list of identifiers for the package elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::privilege::PackageStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::Package::List | ( |  | ) |

Returns the identifiers for the package elements that have privilege information.

Returns:
  The list of identifiers for the package elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::privilege::PackageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::Package::ListAsync | ( |  | ) |

Returns the identifiers for the package elements that have privilege information.

Returns:
  The list of identifiers for the package elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::privilege::PackageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::Package::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the package elements that have privilege information.

Returns:
  The list of identifiers for the package elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::privilege::PackageStub.

The documentation for this interface was generated from the following file:

- privilege/Package.cs